
function doByChooseDesktopMedia(){
    if(nw.Screen.Init){
        nw.Screen.Init();
    }
    nw.Screen.chooseDesktopMedia(["screen"],function(streamId){
        if(streamId) {
            var conf = {
                mandatory: {
                    chromeMediaSource: 'desktop',
                    chromeMediaSourceId: streamId,
                    maxWidth: 1920,
                    maxHeight: 1080
                },
                optional: []
            };
            console.log("[nw.chooseDesktopMedia] stream id:" + streamId);
            showScreenShare({audio: false, video: conf});
        }
    })
}

function doByChromeChooseDesktopMedia(){
    chrome.desktopCapture.chooseDesktopMedia(["screen"],function(streamId){
        if(streamId) {
            var conf = {
                mandatory: {
                    chromeMediaSource: 'desktop',
                    chromeMediaSourceId: streamId,
                    maxWidth: 1920,
                    maxHeight: 1080
                },
                optional: []
            };
            console.log("[chrome.chooseDesktopMedia] stream id:" + streamId);
            showScreenShare({audio: false, video: conf});
        }
    })
}

function doByDesktopCaptureMonitor(){
    var s = nw.Screen,dcm = s.DesktopCaptureMonitor;
    s.Init();

    if(dcm.started){
        dcm.stop();
        dcm.removeAllListeners();
    }

    dcm.on("added",function(id, name, order, type, primary){
        var conf = {
            mandatory: {
                chromeMediaSource: 'desktop',
                chromeMediaSourceId: id,
                maxWidth: 1280,
                maxHeight: 720
            },
            optional: []
        };
        dcm.removeAllListeners();
        dcm.stop();
        console.log("[DesktopCaptureMonitor] stream id:" + id);
        showScreenShare({audio: false, video: conf});
    });

    dcm.start(true,false);
}

function showScreenShare(conf){
    var ve = document.getElementById("screen-share");

    navigator.webkitGetUserMedia(conf,function(stream){
        var url = window.URL.createObjectURL(stream);
        ve.src = url;
    },function(e){
        console.log(e);
        alert(e);
    })

}